## prometheus-postfix-exporter 0.1.2

=== debian/changelog ===
prometheus-postfix-exporter (0.1.2-2) unstable; urgency=medium

  * Team upload.

  [ Daniel Swarbrick ]
  * Add manpage link to systemd service

  [ Martín Ferrari ]
  * Run wrap-and-sort -ta.
  * Create prometheus user.
  * Add rsyslog configution snippet for a dedicated log file.
  * Use the file log instead of systemd journal.
  * Run as user prometheus instead of postfix.
  * Add support for SysV init. Closes: #921351.
  * Add custom python script to support additional groups.

 -- Martín Ferrari <tincho@debian.org>  Mon, 11 Feb 2019 00:05:35 +0000

prometheus-postfix-exporter (0.1.2-1) unstable; urgency=medium

  * Initial release. Closes: #920262.

 -- Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>  Wed, 23 Jan 2019 11:57:06 +0100
