## prometheus-postfix-exporter 0.2.0

=== debian/changelog ===
prometheus-postfix-exporter (0.2.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * Change dependency on golang-gopkg-alecthomas-kingpin.v3-dev
    to golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~)
    as per https://github.com/kumina/postfix_exporter/blob/master/go.mod
    which, incidentally, fixes FTBFS due to github.com/nicksnyder/go-i18n
    version mismatch.  (Closes: #973100)
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"
  * Change Build-Depends: golang-go to golang-any
    to allow build on more architectures
  * Bump Standards-Version to 4.5.0 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * Update Maintainer email address to team+pkg-go@tracker.debian.org
  * Add myself to the list of Uploaders
  * debian/gbp.conf: Set debian-branch to debian/sid
    for conformance with Debian Go Packaging Team’s convention

 -- Anthony Fok <foka@debian.org>  Thu, 29 Oct 2020 14:06:50 -0600

prometheus-postfix-exporter (0.2.0-2) unstable; urgency=medium

  * Update chuser helper to python3, and fix bug in it. Closes: #945692.
  * Add myself to Uploaders.
  * Automated cme fixes.

 -- Martina Ferrari <tincho@debian.org>  Fri, 27 Dec 2019 12:39:36 +0000

prometheus-postfix-exporter (0.2.0-1) unstable; urgency=medium

  [ Yuval Freund ]
  * Start service after postfix. This service must start after postfix,
    since it's talking to a socket created by this service.

  [ Martina Ferrari ]
  * Merge git histories that had diverged by mistake, losing changes in the NMU
    upload.
  * Use space as separator in SupplementaryGroups.
    (Really) closes: #922986
  * Refresh & renumber patches.
  * Leave it to service file to pass systemd-specific parameters.
  * Add patch to adjust to API changes in the client_golang library.
  * Init script fixes.
  * Handle the postfix logfile location separately in sysv initscript.

 -- Martina Ferrari <tincho@debian.org>  Thu, 31 Oct 2019 14:35:31 +0000

prometheus-postfix-exporter (0.2.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version (Closes: #922986)

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 05 Apr 2019 15:47:45 -0400
