=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: prometheus-postfix-exporter
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
+           Martina Ferrari <tincho@debian.org>,
+           Anthony Fok <foka@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               golang-any,
                golang-github-coreos-go-systemd-dev,
+               golang-github-influxdata-tail-dev,
                golang-github-prometheus-client-golang-dev,
-               golang-go,
-Standards-Version: 4.3.0
+               golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
 Homepage: https://github.com/kumina/postfix_exporter
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/kumina/postfix_exporter
 
 Package: prometheus-postfix-exporter
 Architecture: any
 Depends: daemon | systemd-sysv,
          postfix,
-         python,
+         python3,
          rsyslog | system-log-daemon,
          ${misc:Depends},
          ${shlibs:Depends},
