=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/postfix_exporter-$1\.tar\.gz/ \
  https://github.com/kumina/postfix_exporter/tags .*/v?(\d\S+)\.tar\.gz
