## prometheus-postfix-exporter 0.3.0

=== debian/changelog ===
prometheus-postfix-exporter (0.3.0-4ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 21 Jul 2025 11:06:24 +1000

prometheus-postfix-exporter (0.3.0-4ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 13:25:06 +1000

prometheus-postfix-exporter (0.3.0-4ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:22:45 +0530

prometheus-postfix-exporter (0.3.0-4build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:46 +1200

prometheus-postfix-exporter (0.3.0-4) unstable; urgency=medium

  * Team upload
  * Add missing Build-Depends
    + golang-github-coreos-go-systemd-dev
    + golang-github-stretchr-testify-dev

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Feb 2023 15:01:24 +0800

prometheus-postfix-exporter (0.3.0-3) unstable; urgency=medium

  * d/dirs: add missing var/lib/prometheus

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 11 Feb 2023 11:05:47 +0000

prometheus-postfix-exporter (0.3.0-2) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Bump Standards-Version to 4.6.2 (no changes)
  * Disable systemd journal support until fixed upstream
  * Stop using private mail.log, use default /var/log/mail.log instead
  * Add preinst upgrade handler to clean up legacy private mail.log
  * Sync postinst, postrm script style with that of other similar exporters
  * Use /run/prometheus instead of /var/run/prometheus for pid directory
  * Generate manpage from --help-man, rather than static (and outdated) one

  [ Guillem Jover ]
  * Add value quoting information in default file comment header
  * Remove --help output from default file

  [ Martina Ferrari ]
  * Update my name and email address

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sat, 11 Feb 2023 02:09:21 +0000

prometheus-postfix-exporter (0.3.0-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * Update debian/gitlab-ci.yml (using pkg-go-tools/ci-config)

  [ Daniel Swarbrick ]
  * New upstream release
  * Replace golang-github-influxdata-tail-dev build-dep with
    golang-github-nxadm-tail-dev
  * Add new golang-github-docker-docker-dev build-dep
  * Add missing golang-github-prometheus-client-model-dev build-dep
  * Refresh patches
    - rewrite 01-Defaults.patch
    - drop obsolete 02-Switch_to_influxdata-tail_package.patch
    - drop obsoelte 03-New_client_golang_compat.patch
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump Standards-Version to 4.6.0 (no changes)
  * Add Pre-Depends: ${misc:Pre-Depends} to squash lintian warning

  [ Guillem Jover ]
  * Refactor debian/watch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Sun, 05 Dec 2021 15:51:13 +0000
