=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: prometheus-postfix-exporter
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Daniel Swarbrick <daniel.swarbrick@cloud.ionos.com>,
-           Martina Ferrari <tincho@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
+           Martina Ferrari <tina@debian.org>,
            Anthony Fok <foka@debian.org>,
 Section: net
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
+               dh-sequence-golang,
                golang-any,
                golang-github-coreos-go-systemd-dev,
-               golang-github-influxdata-tail-dev,
+               golang-github-docker-docker-dev,
+               golang-github-nxadm-tail-dev,
                golang-github-prometheus-client-golang-dev,
+               golang-github-prometheus-client-model-dev,
+               golang-github-stretchr-testify-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
 Homepage: https://github.com/kumina/postfix_exporter
@@ -22,10 +26,12 @@
 
 Package: prometheus-postfix-exporter
 Architecture: any
-Depends: daemon | systemd-sysv,
+Pre-Depends: ${misc:Pre-Depends},
+Depends: adduser,
+         daemon | systemd-sysv,
          postfix,
          python3,
-         rsyslog | system-log-daemon,
+         rsyslog,
          ${misc:Depends},
          ${shlibs:Depends},
 Built-Using: ${misc:Built-Using},
