## prometheus-postfix-exporter 0.12.1

=== debian/changelog ===
prometheus-postfix-exporter (0.12.1-1) unstable; urgency=medium

  * New upstream release (fork)
  * Update upstream URLs to github.com/hsn723/postfix_exporter
  * Update copyright attribution
  * Refresh packaging according to latest dh-make-golang template
  * Bump Standards-Version to 4.7.2 (no changes)
  * Drop obsolete 0002-Support-docker-v25.patch
  * Add new Build-Depends:
    - golang-github-coreos-go-systemd-dev
    - golang-github-prometheus-common-dev
    - golang-github-prometheus-exporter-toolkit-dev
  * Add new 0002-Revert-alecthomas-kingpin-import-path.patch
  * d/rules: include VERSION in DH_GOLANG_INSTALL_EXTRA
  * d/docs: remove obsolete CHANGELOG.md
  * Enable systemd journal support again
  * Drop obsolete 0001-Defaults.patch

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 21 Aug 2025 18:07:12 +0000

prometheus-postfix-exporter (0.3.0-5) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Migrate patches to gbp-pq format
  * Add new 0002-Support-docker-v25.patch (Closes: #1078307)
  * Bump Standards-Version to 4.7.0 (no changes)
  * Modernize debian/rules to produce more visually appealing man page

  [ Guillem Jover ]
  * Do not ship an empty /etc/rsyslog.d directory
  * Add system-log-daemon as an alternative dependency for rsyslog

  [ Martina Ferrari ]
  * Replace python3 script and dependency with setpriv call

  [ Shengjing Zhu ]
  * Add nosystemd tags to dh_auto_test to match dh_auto_build
  * Remove golang-github-coreos-go-systemd-dev from Build-Depends

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 13 Aug 2024 20:40:32 +0000
