=== debian/control ===
Source: prometheus-postfix-exporter
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
           Martina Ferrari <tina@debian.org>,
           Anthony Fok <foka@debian.org>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-coreos-go-systemd-dev,
               golang-github-docker-docker-dev (>= 25.0),
               golang-github-nxadm-tail-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-prometheus-exporter-toolkit-dev,
               golang-github-stretchr-testify-dev,
               golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
Homepage: https://github.com/hsn723/postfix_exporter
XS-Go-Import-Path: github.com/hsn723/postfix_exporter

Package: prometheus-postfix-exporter
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: adduser,
         daemon | systemd-sysv,
         postfix,
         rsyslog | system-log-daemon,
         ${misc:Depends},
         ${shlibs:Depends},
Static-Built-Using: ${misc:Static-Built-Using}
Description: Prometheus exporter for Postfix mail servers
 Prometheus exporter which scrapes the log output of Postfix MTA daemons
 to expose various metrics such as SMTP connection counts, message delivery
 statuses / delays etc. This exporter has a slight advantage over the mtail
 log parser approach, since it also connects to the Postfix admin Unix socket
 to expose metrics about messages currently in the queue.
