## prometheus-postfix-exporter 0.17.0

=== debian/changelog ===
prometheus-postfix-exporter (0.17.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Disable (experimental) kubernetes log source

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 05 Jan 2026 12:42:16 +0000
