## prometheus-postfix-exporter 0.18.0

=== debian/changelog ===
prometheus-postfix-exporter (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Add new Build-Depends golang-gopkg-tomb.v1-dev
  * Enable systemd journal support by default (Closes: #1055326)
  * Add systemd-sysv as alternative to system-log-daemon to allow operation in
    a pure systemd-journald environment

 -- Daniel Swarbrick <dswarbrick@debian.org>  Mon, 12 Jan 2026 17:39:19 +0000
