=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                golang-github-prometheus-exporter-toolkit-dev,
                golang-github-stretchr-testify-dev,
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
+               golang-gopkg-tomb.v1-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
@@ -32,7 +33,7 @@
 Depends: adduser,
          daemon | systemd-sysv,
          postfix,
-         rsyslog | system-log-daemon,
+         rsyslog | systemd-sysv | system-log-daemon,
          ${misc:Depends},
          ${shlibs:Depends},
 Static-Built-Using: ${misc:Static-Built-Using}
