=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,16 @@
 
 export DH_GOLANG_INSTALL_EXTRA := VERSION
 
+BUILDTAGS := nokubernetes
+BUILDFLAGS = -tags "$(BUILDTAGS)"
+
 %:
 	dh $@ --buildsystem=golang --builddirectory=_build
 
 BINNAME := $(DEB_SOURCE)
 
 override_dh_auto_build:
-	dh_auto_build
+	dh_auto_build -- $(BUILDFLAGS)
 	# Rename the binary to match the debian package.
 	mv -v _build/bin/postfix_exporter _build/bin/$(BINNAME)
