## prometheus-postfix-exporter 0.19.0

=== debian/changelog ===
prometheus-postfix-exporter (0.19.0-1) unstable; urgency=medium

  [ Daniel Swarbrick ]
  * Add closed bug reference to changelog

  [ Vincent Tondellier ]
  * New upstream release
  * Adapt build version for upstream changes. Inspired by other exporters

  [ Martina Ferrari ]
  * Bump Standards-Version to 4.7.3 (no changes)
  * Refresh patches
  * Remove redundant Rules-Requires-Root and Priority fields

 -- Martina Ferrari <tina@debian.org>  Thu, 26 Feb 2026 21:00:56 +0000
