=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: prometheus-postfix-exporter
 Section: golang
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Daniel Swarbrick <dswarbrick@debian.org>,
            Martina Ferrari <tina@debian.org>,
            Anthony Fok <foka@debian.org>,
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -20,7 +18,7 @@
                golang-gopkg-alecthomas-kingpin.v2-dev (>= 2.2.6-2~),
                golang-gopkg-tomb.v1-dev,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter
 Vcs-Git: https://salsa.debian.org/go-team/packages/prometheus-postfix-exporter.git
 Homepage: https://github.com/hsn723/postfix_exporter
