=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,25 @@
 
 export DH_GOLANG_INSTALL_EXTRA := VERSION
 
-BUILDTAGS := nokubernetes
-BUILDFLAGS = -tags "$(BUILDTAGS)"
+BUILDTAGS  := nokubernetes
+METAPKG    := github.com/prometheus/common
+BRANCH     := debian/sid
+USER       := team+pkg-go@tracker.debian.org
+BUILD_DATE := $(shell date --utc --date='@$(SOURCE_DATE_EPOCH)' +%Y%m%d-%H:%M:%S)
+GO_VERSION := $(shell go version | sed 's/go version \(\S*\).*/\1/')
+BUILDFLAGS  = \
+ -ldflags "\
+    -X $(METAPKG)/version.Version=$(DEB_VERSION_UPSTREAM)\
+    -X $(METAPKG)/version.Revision=$(DEB_VERSION)\
+    -X $(METAPKG)/version.Branch=$(BRANCH)\
+    -X $(METAPKG)/version.BuildUser=$(USER)\
+    -X $(METAPKG)/version.BuildDate=$(BUILD_DATE)\
+    -X $(METAPKG)/version.GoVersion=$(GO_VERSION)\
+    $(BUILDLDFLAGS)"
+
+ifneq (,$(BUILDTAGS))
+BUILDFLAGS += -tags "$(BUILDTAGS)"
+endif
 
 %:
 	dh $@ --buildsystem=golang --builddirectory=_build
